/*
 * Simple
 *
 * This servlet redirects back to the welcome page without 
 * streaming any content back to the client. You could use 
 * a redirect as the target of a form's submit button to process 
 * some data and then decide what page to return through
 * redirection.
 * 
 */

package simpleStateless;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.IOException;


public class RedirectServlet extends HttpServlet {

   /*
    * There is the only function needed in order to be a servlet
    */
    public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    {
        StringBuffer redirect = HttpUtils.getRequestURL(request);
        int start = redirect.toString().lastIndexOf("/redirect");
        int end   = redirect.length();
        redirect.replace(start, end, "/welcome"); 
        response.sendRedirect(redirect.toString());
    }


}
